View Issue Details

IDProjectCategoryView StatusLast Update
0000851ScribusImport / Exportpublic2004-07-13 22:03
ReporterplinnellAssigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000851: SVG import does not support paths properly
DescriptionSee attached files from Inkscape. The file was created by one of the Inkscape devels.
Additional InformationThis is an on screen rendering issue. The PDF exports properly.
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2004-07-07 15:11

 

paths.sla (119,909 bytes)

2004-07-07 15:11

 

paths.svg (73,542 bytes)

plinnell

2004-07-07 15:40

viewer   ~0001924

this file also does not seem to print to my inkjet properly - only ther stripes print. the exported pdf prints perfectly

2004-07-08 09:50

 

pageitem.cpp (55,170 bytes)

fschmid

2004-07-08 09:51

administrator   ~0001928

Apply the attached pageitem.cpp file and this Bug should be fixed

plinnell

2004-07-08 15:54

viewer   ~0001932

Reminder sent to buliabyak

Hi Bulia,

Please see if this works for you. I am testing also.

Cheers,
Peter

fschmid

2004-07-08 16:14

administrator   ~0001934

Need to add another file for fixing

2004-07-08 16:16

 

svgplugin.cpp (51,378 bytes)

fschmid

2004-07-08 16:17

administrator   ~0001935

The fix in the second file should fix the bug 0000852 too

cbradney

2004-07-12 23:56

administrator   ~0001956

Reminder sent to buliabyak

Please test and let me know I can close if fixed.

Issue History

Date Modified Username Field Change
2004-07-07 15:11 plinnell New Issue
2004-07-07 15:11 plinnell File Added: paths.sla
2004-07-07 15:11 plinnell File Added: paths.svg
2004-07-07 15:40 plinnell Note Added: 0001924
2004-07-08 09:50 fschmid File Added: pageitem.cpp
2004-07-08 09:51 fschmid Status new => resolved
2004-07-08 09:51 fschmid Resolution open => fixed
2004-07-08 09:51 fschmid Assigned To => fschmid
2004-07-08 09:51 fschmid Note Added: 0001928
2004-07-08 15:54 plinnell Note Added: 0001932
2004-07-08 16:14 fschmid Status resolved => feedback
2004-07-08 16:14 fschmid Resolution fixed => reopened
2004-07-08 16:14 fschmid Note Added: 0001934
2004-07-08 16:16 fschmid File Added: svgplugin.cpp
2004-07-08 16:17 fschmid Status feedback => resolved
2004-07-08 16:17 fschmid Resolution reopened => fixed
2004-07-08 16:17 fschmid Note Added: 0001935
2004-07-12 23:56 cbradney Note Added: 0001956
2004-07-13 22:03 cbradney Status resolved => closed
2006-05-17 19:33 christoph_s Relationship added child of 0002931